package com.yonge.cooleshow.api.feign.fallback;

import com.yonge.cooleshow.api.feign.AdminFeignService;
import com.yonge.cooleshow.api.feign.dto.CouponInfoApi;
import com.yonge.cooleshow.api.feign.dto.EmployeeApi;
import com.yonge.cooleshow.api.feign.dto.StudentApi;
import com.yonge.cooleshow.api.feign.dto.TeacherApi;
import com.yonge.cooleshow.api.feign.dto.UserFriendInfoVO;
import com.yonge.cooleshow.common.entity.ContractDto;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import com.yonge.cooleshow.common.entity.MallOrderItemDto;
import com.yonge.cooleshow.common.enums.UserFirstTimeTypeEnum;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-06
 */
public class AdminFeignServiceFallback implements AdminFeignService {
    @Override
    public Object daysTask() {
        return null;
    }

    @Override
    public Object pollingOrder() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> sendTodayNotRepliedAndNotDecorateHomework() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> sendTeacherEarning() {
        return null;
    }

    @Override
    public HttpResponseResult<Boolean> mallRecord(List<MallOrderItemDto> shareDto) {
        return null;
    }

    @Override
    public HttpResponseResult<Boolean> mallRecordState(List<MallOrderItemDto> shareDto) {
        return null;
    }


    @Override
    public HttpResponseResult refreshBlackList() {

        return null;
    }

    @Override
    public HttpResponseResult<String> findConfigValue(String paramName) {

        return null;
    }

    public HttpResponseResult<Boolean> contractRecord(ContractDto contract) {
        return null;
    }

    @Override
    public HttpResponseResult activityState() {
        return null;
    }

    @Override
    public HttpResponseResult activityIng() {
        return null;
    }

    @Override
    public HttpResponseResult recordTime(Long userId, String userType, UserFirstTimeTypeEnum firstTimeTypeEnum) {
        return null;
    }

    @Override
    public HttpResponseResult<TeacherApi> getTeacher(Long userId) {
        return null;
    }

    @Override
    public HttpResponseResult<StudentApi> getStudent(Long userId) {
        return null;
    }

    @Override
    public HttpResponseResult<EmployeeApi> getEmployee(Long userId) {
        return null;
    }

    @Override
    public HttpResponseResult<Boolean> updateCouponOrderInfo(String couponIssueId, Boolean returnCoupon, String orderNo) {
        return null;
    }

    @Override
    public HttpResponseResult<CouponInfoApi> queryCouponOrderPageInfo(Long userId, String issueIds, BigDecimal orderAmount, String client) {
        return null;
    }

    /**
     * 新用户添加客服好友
     *
     * @param info UserFriendInfoVO
     * @return HttpResponseResult<Boolean>
     */
    @Override
    public HttpResponseResult<Boolean> customerService(UserFriendInfoVO info) {
        return null;
    }
}
